#
# spec file for package perl-Acme-CPANAuthors-Turkish
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Acme-CPANAuthors-Turkish
Version:        0.24
Release:        1.1
%define cpan_name Acme-CPANAuthors-Turkish
Summary:        We are Turkish CPAN authors
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BU/BURAK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Acme::CPANAuthors)
BuildRequires:  perl(Acme::CPANAuthors::Register)
Requires:       perl(Acme::CPANAuthors)
Requires:       perl(Acme::CPANAuthors::Register)
%{perl_requires}

%description
This class is used to provide a hash of turkish CPAN author's PAUSE id/name
to Acme::CPANAuthors.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes
%license LICENSE

%changelog
* Mon Dec 24 2018 coolo@suse.com
- updated to 0.24
  see /usr/share/doc/packages/perl-Acme-CPANAuthors-Turkish/Changes
  0.24 2018-12-23 BURAK
  - Migrate to dzil.
* Wed Jul  6 2016 coolo@suse.com
- updated to 0.23
  see /usr/share/doc/packages/perl-Acme-CPANAuthors-Turkish/Changes
  0.23 Tue Jul  5 00:52:53 2016
    => Update repo url.
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.22
  see /usr/share/doc/packages/perl-Acme-CPANAuthors-Turkish/Changes
  0.22 Sun Jul 28 08:27:22 2013
    => Fix for RT#87079
  0.21 Mon Aug 27 01:11:36 2012
    => Distro fixes.
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.20
  * created by cpanspec 1.78.04
